$packageName = 'dart-sdk'

$url = 'https://storage.googleapis.com/dart-archive/channels/beta/release/2.17.0-266.5.beta/sdk/dartsdk-windows-ia32-release.zip'
$url64 = 'https://storage.googleapis.com/dart-archive/channels/beta/release/2.17.0-266.5.beta/sdk/dartsdk-windows-x64-release.zip'

$unzipLocation = Get-ToolsLocation
$installDir = Join-Path $unzipLocation "dart-sdk"

Install-ChocolateyPath "$installDir\bin"
Install-ChocolateyPath "${env:USERPROFILE}\AppData\Roaming\Pub\Cache\bin"
$env:Path = "$($env:Path);$installDir\bin;${env:USERPROFILE}\AppData\Roaming\Pub\Cache\bin"

if (test-path $installDir) {
	Remove-Item $installDir -Recurse -Force
}

$packageArgs = @{
  packageName    = $packageName
  url            = $url
  url64bit       = $url64
  unzipLocation  = $unzipLocation
  checksum       = '725f662cadef1f621632f6bc78efd274602fce0e8cfc5f6eb628d3a764df8cdd'
  checksumType   = 'sha256'
  checksum64     = '8dceda75889cc4e9bb88bd5607c6346cedc8c8f568ff435d49daeecb1d36d317'
  checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
